#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-commonmark
Version		:	0.9.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Python parser for the CommonMark Markdown spec

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://pypi.python.org/pypi/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Pure Python port of jgm's stmd.js, a Markdown parser
and renderer for the CommonMark specification, using
only native modules. Once both this project and the
CommonMark specification are stable we will release
the first 1.0 version and attempt to keep up to date
with changes in stmd.js.

We are currently at the same development stage
(actually a bit ahead because we have implemented
HTML entity conversion and href URL escaping) as stmd.js.
Since Python versions pre-3.4 use outdated (i.e. not
HTML5 spec) entity conversion, I've converted the 3.4
implementation into a single file, entitytrans.py which
so far seems to work (all tests pass on 2.7, 3.3, and 3.4).

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.rst
%license LICENSE
%{_bindir}/cmark
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/render/*.py
%{python3_sitelib}/%{sname}/render/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/*.py
%{python3_sitelib}/%{sname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
